package cn.estsh.i3plus.ext.mes.pcn.api.base;

import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesEquipmentParam;
import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesSpeParam;
import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesSpeParamResult;

import java.util.List;

/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/6/16 14:14
 **/
public interface ISpeParamNewService {

    List<MesEquipmentParam> queryEquipment(String workCenterCode, String orgCode);

    void insertSpeParams(String workCenterCode, String equNo, String equName, String orgCode);

    void updateSpeParams(List<MesSpeParam> speParams);

    MesSpeParamResult getParamResultById(Long rid);


}
